[arch-commits] Commit in cdrkit/repos (3 files)

Alexander Fehr alexanderf at archlinux.org
Mon Jul 21 07:38:10 EDT 2008


    Date: Monday, July 21, 2008 @ 07:38:10
  Author: alexanderf
Revision: 5823

Merged revisions 2-5822 via svnmerge from 
svn+ssh://archlinux.org/home/svn-packages/cdrkit/trunk

........
  r356 | aaron | 2008-04-19 00:56:27 +0200 (Sa, 19 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r5821 | alexanderf | 2008-07-21 13:24:46 +0200 (Mo, 21 Jul 2008) | 1 line
  
  upgpkg: cdrkit 1.1.8-1
........

Added:
  cdrkit/repos/extra-x86_64/ChangeLog
    (from rev 5821, cdrkit/trunk/ChangeLog)
Modified:
  cdrkit/repos/extra-x86_64/	(properties)
  cdrkit/repos/extra-x86_64/PKGBUILD

-----------+
 ChangeLog |   10 ++++++++++
 PKGBUILD  |   56 +++++++++++++++++++++-----------------------------------
 2 files changed, 31 insertions(+), 35 deletions(-)


Property changes on: cdrkit/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /cdrkit/trunk:1
   + /cdrkit/trunk:1-5822

Copied: cdrkit/repos/extra-x86_64/ChangeLog (from rev 5821, cdrkit/trunk/ChangeLog)
===================================================================
--- extra-x86_64/ChangeLog	                        (rev 0)
+++ extra-x86_64/ChangeLog	2008-07-21 11:38:10 UTC (rev 5823)
@@ -0,0 +1,10 @@
+2008-07-14  Alexander Fehr  <pizzapunk gmail com>
+
+  * cdrkit-1.1.8-1:
+  New upstream release.
+  New maintainer.
+  Changed license to GPL2.
+  Added dependency on bzip2.
+  Removed replaces cdrtools.
+  Cleaned up cdrtools compatibility symlinks.
+  Added ChangeLog.

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-07-21 11:34:04 UTC (rev 5822)
+++ extra-x86_64/PKGBUILD	2008-07-21 11:38:10 UTC (rev 5823)
@@ -1,52 +1,38 @@
 # $Id$
-# Maintainer: Paul Mattal <paul at archlinux.org>
+# Maintainer: Alexander Fehr <pizzapunk gmail com>
 
 pkgname=cdrkit
-pkgver=1.1.6
+pkgver=1.1.8
 pkgrel=1
-depends=('glibc' 'libcap' 'file')
-makedepends=('cmake')
-pkgdesc="GPL replacement of cdrtools for recording CDs "
-arch=(i686 x86_64)
-source=("http://cdrkit.org/releases/$pkgname-$pkgver.tar.gz")
-md5sums=('59b9946649ea2ea2f2d0021035fb4443')
-license=('GPL')
+pkgdesc="Suite of programs for CD/DVD recording, ISO image creation, and audio CD extraction"
+arch=('i686' 'x86_64')
 url="http://cdrkit.org/"
-replaces=('cdrtools')
-conflicts=('cdrtools')
+license=('GPL2')
+depends=('libcap' 'file' 'bzip2')
+makedepends=('cmake')
 provides=('cdrtools')
-options=('!libtool')
+conflicts=('cdrtools')
+source=(http://cdrkit.org/releases/cdrkit-$pkgver.tar.gz)
+md5sums=('97a9ea4e1bf59beb12aca649958d8c6c')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver || return 1
+  cd "$srcdir/cdrkit-$pkgver"
 
-  # build
   make || return 1
+  make PREFIX="$pkgdir/usr" install || return 1
 
-  # install
-  make PREFIX=$startdir/pkg/usr install || return 1
-
-  # fix symlinks for cdrtools compatibility
-  # fix some k3b issues
-  cd $startdir/pkg/usr/bin || return 1
-  mv wodim cdrecord || return 1
-  ln -s cdrecord wodim || return 1
-  mv genisoimage mkisofs || return 1
-  ln -s mkisofs genisoimage || return 1
+  # Make symlinks for cdrtools compatibility
+  cd "$pkgdir/usr/bin"
+  ln -s wodim cdrecord || return 1
   ln -s readom readcd || return 1
+  ln -s genisoimage mkisofs || return 1
+  ln -s genisoimage mkhybrid || return 1
   ln -s icedax cdda2wav || return 1
-  ln -s mkisofs mkhybrid || return 1
-  ln -s cdrecord dvdrecord || return 1
 
-  cd $startdir/pkg/usr/sbin || return 1
-  ln -s netscsid rscsi || return 1
-
-  cd $startdir/pkg/usr/share/man/man1 || return 1
-  ln -s icedax.1 cdda2wav.1 || return 1
-  ln -s readom.1 readcd.1 || return 1
+  cd "$pkgdir/usr/share/man/man1"
   ln -s wodim.1 cdrecord.1 || return 1
+  ln -s readom.1 readcd.1 || return 1
   ln -s genisoimage.1 mkisofs.1 || return 1
-
-  cd $startdir/pkg/usr/share/man/man5 || return 1
-  ln -s genisoimagerc.5 mkisofsrc.5 || return 1
+  ln -s genisoimage.1 mkhybrid.1 || return 1
+  ln -s icedax.1 cdda2wav.1 || return 1
 }





More information about the arch-commits mailing list